<%
'///////////////////////////////////////////////////////////////////////////////
'//              RainbowSoft ATOM Export
'// 作    者:    朱煊(zx.asd)
'// 版权所有:    RainbowSoft Studio
'// 技术支持:    rainbowsoft@163.com
'// 程序名称:    
'// 程序版本:    
'// 单元名称:    atom_lib.asp
'// 开始时间:    2005.07.27
'// 最后修改:    
'// 备    注:    ATOM输出
'///////////////////////////////////////////////////////////////////////////////




'*********************************************************
' 目的：    定义TAtom10Export类
' 输入：    无
' 返回：    无
'*********************************************************
Class TAtom10Export

	Public TimeZone

	Public Property Get xml
		xml = objXMLdoc.xml
	End Property

	Private objXMLdoc
	Private objXMLfeed

	Public Function GetFeed(objAtomFeed)

		Set objXMLfeed=objAtomFeed
		objXMLdoc.AppendChild(objXMLfeed)
		objXMLfeed.setAttribute "xmlns","http://www.w3.org/2005/Atom"

		Dim i
		Dim objItemNodes
		Set objItemNodes=objXMLfeed.getElementsByTagName("updated")

		For i=0 To (objItemNodes.Length-1)
			objItemNodes(i).Text=ParseDateForRFC3339(objItemNodes(i).Text)
		Next

		Set objItemNodes=Nothing

	End Function


	Public Function GetEntry(objEntryFeed)

		Dim i
		Dim objItemNodes
		Set objItemNodes=objEntryFeed.getElementsByTagName("updated")

		For i=0 To (objItemNodes.Length-1)
			objItemNodes(i).Text=ParseDateForRFC3339(objItemNodes(i).Text)
		Next

		Set objItemNodes=Nothing

		Set objItemNodes=objEntryFeed.getElementsByTagName("published")

		For i=0 To (objItemNodes.Length-1)
			objItemNodes(i).Text=ParseDateForRFC3339(objItemNodes(i).Text)
		Next

		Set objItemNodes=Nothing

		objXMLfeed.appendChild(objEntryFeed)

	End Function


	Public Function Execute()

		'Response.ContentType = "text/html"
		Response.ContentType = "text/xml"
		Response.Clear
		Response.Write xml

		Execute=True

	End Function


	Public Function SaveToFile(strFileName)

		objXMLdoc.save(strFileName)

		SaveToFile=True

	End Function


	Function ParseDateForRFC3339(dtmDate)

		Dim dtmDay, dtmWeekDay, dtmMonth, dtmYear
		Dim dtmHours, dtmMinutes, dtmSeconds

		Dim strTimeZone

		dtmYear = Year(dtmDate)
		dtmMonth = Right("00" & Month(dtmDate),2)
		dtmDay = Right("00" & Day(dtmDate),2)

		dtmHours = Right("00" & Hour(dtmDate),2)
		dtmMinutes = Right("00" & Minute(dtmDate),2)
		dtmSeconds = Right("00" & Second(dtmDate),2)

		strTimeZone=Left(TimeZone,3) & ":" & Right(TimeZone,2)

		ParseDateForRFC3339 = dtmYear & "-" & dtmMonth & "-" & dtmDay & "T" & dtmHours & ":" & dtmMinutes & ":" & dtmSeconds & strTimeZone

	End Function 

	' 类初始化
	Private Sub Class_Initialize()

		On Error Resume Next

		'对objXMLdoc进行初始化，如不能建对象则报错
		Set objXMLdoc =Server.CreateObject("Microsoft.XMLDOM")

		If Err.Number<>0 Then

		End If

		Dim objPI

		Set objPI = objXMLdoc.createProcessingInstruction("xml-stylesheet","type=""text/css"" href=""css/atom.css""")
		objXMLdoc.insertBefore objPI, objXMLdoc.childNodes(0)
		Set objPI = Nothing

		Set objPI = objXMLdoc.createProcessingInstruction("xml","version=""1.0"" encoding=""UTF-8"" standalone=""yes""")
		objXMLdoc.insertBefore objPI, objXMLdoc.childNodes(0)
		Set objPI = Nothing

		Set objXMLfeed = objXMLdoc.createElement("feed")

	End Sub

	' 类释放
	Private Sub Class_Terminate()

		Set objXMLfeed = Nothing
		Set objXMLdoc  = Nothing

	End Sub

End Class
'*********************************************************




'*********************************************************
' 目的：    BLOG信息类
' 输入：    无
' 返回：    无
'*********************************************************
Class TAtomFeed

	Public Property Get Node
		Set Node=objFeedNode
	End Property

	'Public atomAuthor
	'Public atomCategory
	'Public atomContributor
	'Public atomGenerator
	'Public atomIcon
	'Public atomId
	'Public atomLink
	'Public atomLogo
	'Public atomRights
	'Public atomSubtitle
	'Public atomTitle
	'Public atomUpdated

	Private objXMLdoc
	Private objFeedNode


	Private Function CommomAppendNode(strElement,strText,strType)

		Dim objSingleNode
		Dim objNodeText
		Dim objNodeCdata
		Set objSingleNode = objXMLdoc.createNode("element",strElement,"")

		If strType="" Then

			Set objNodeText=objXMLdoc.createNode("text", "", "")
			objNodeText.NodeValue=strText
			objSingleNode.AppendChild(objNodeText)

		ElseIf strType="text" Then

			objSingleNode.setAttribute "type",strType
			Set objNodeText=objXMLdoc.createNode("text", "", "")
			objNodeText.NodeValue=strText
			objSingleNode.AppendChild(objNodeText)

		ElseIf strType="html" Then

			objSingleNode.setAttribute "type",strType
			Set objNodeCdata=objXMLdoc.createNode("cdatasection", "", "")
			objNodeCdata.NodeValue=strText
			objSingleNode.AppendChild(objNodeCdata)

		ElseIf strType="xhtml" Then

			objSingleNode.setAttribute "type",strType
			Set objNodeText=objXMLdoc.createNode("text", "", "")
			objNodeText.NodeValue=strText
			objSingleNode.AppendChild(objNodeText)

		End If

		Set CommomAppendNode=objSingleNode

		Set objSingleNode = Nothing

	End Function

	Public Property Let atomCategory(strCategory)

		objFeedNode.AppendChild(CommomAppendNode("category",strCategory,""))

	End Property


	Public Property Let atomIcon(strIcon)

		objFeedNode.AppendChild(CommomAppendNode("icon",strIcon,""))

	End Property


	Public Property Let atomId(strId)

		objFeedNode.AppendChild(CommomAppendNode("id",strId,""))

	End Property


	Public Property Let atomLogo(strLogo)

		objFeedNode.AppendChild(CommomAppendNode("logo",strLogo,""))

	End Property


	Public Property Let atomRights(strRights)

		objFeedNode.AppendChild(CommomAppendNode("sights",strRights,"text"))

	End Property


	Public Property Let atomSubtitle(strSubtitle)

		objFeedNode.AppendChild(CommomAppendNode("subtitle",strSubtitle,"html"))

	End Property


	Public Property Let atomTitle(strTitle)

		objFeedNode.AppendChild(CommomAppendNode("title",strTitle,"html"))

	End Property


	Public Property Let atomUpdated(strUpdated)

		objFeedNode.AppendChild(CommomAppendNode("updated",strUpdated,""))

	End Property


	Public Function atomPerson(strPerson,strName,strEmail,strUrl)

		Dim objSingleNode
		Dim objNodeText

		Dim objAuthorNameNode
		Dim objAuthorUrlNode
		Dim objAuthorEmailNode

		Set objSingleNode = objXMLdoc.createNode("element",strPerson,"")

		If strName<>"" Then
			Set objAuthorNameNode = objXMLdoc.createNode("element","name","")
			Set objNodeText=objXMLdoc.createNode("text", "", "")
			objNodeText.NodeValue=strName
			objAuthorNameNode.AppendChild(objNodeText)
			objSingleNode.AppendChild(objAuthorNameNode)
			Set objNodeText = Nothing
		End If

		If strUrl<>"" Then
			Set objAuthorUrlNode = objXMLdoc.createNode("element","uri","")
			Set objNodeText=objXMLdoc.createNode("text", "", "")
			objNodeText.NodeValue=strUrl
			objAuthorUrlNode.AppendChild(objNodeText)
			objSingleNode.AppendChild(objAuthorUrlNode)
			Set objNodeText = Nothing
		End If

		If strEmail<>"" Then
			Set objAuthorEmailNode = objXMLdoc.createNode("element","email","")
			Set objNodeText=objXMLdoc.createNode("text", "", "")
			objNodeText.NodeValue=strEmail
			objAuthorEmailNode.AppendChild(objNodeText)
			objSingleNode.AppendChild(objAuthorEmailNode)
			Set objNodeText = Nothing
		End If

		objFeedNode.AppendChild(objSingleNode)

		Set objSingleNode = Nothing

	End Function


	Public Function atomLink(strRel,strType,strHref)

		Dim objSingleNode
		Dim objNodeText

		Set objSingleNode = objXMLdoc.createNode("element","link","")

		objSingleNode.setAttribute "rel",strRel
		objSingleNode.setAttribute "type",strType
		objSingleNode.setAttribute "href",strHref

		objFeedNode.AppendChild(objSingleNode)
		Set objSingleNode = Nothing

	End Function


	Public Function atomGenerator(strGenerator,strUri,strVersion)

		Dim objSingleNode
		Dim objNodeText

		Set objSingleNode = objXMLdoc.createNode("element","generator","")
		Set objNodeText=objXMLdoc.createNode("text", "", "")

		objNodeText.NodeValue=strGenerator
		objSingleNode.setAttribute "uri",strUri
		objSingleNode.setAttribute "version",strVersion

		objSingleNode.AppendChild(objNodeText)
		objFeedNode.AppendChild(objSingleNode)

		Set objSingleNode = Nothing
		Set objNodeText = Nothing

	End Function


	Private Sub Class_Initialize()

		Set objXMLdoc =Server.CreateObject("Microsoft.XMLDOM")
		Set objFeedNode = objXMLdoc.createElement("feed")

	End Sub


	Private Sub Class_Terminate()

		Set objXMLdoc = Nothing
		Set objFeedNode = Nothing

	End Sub


End Class
'*********************************************************




'*********************************************************
' 目的：    日志类
' 输入：    无
' 返回：    无
'*********************************************************
Class TAtomEntry

	Public Property Get Node
		Set Node=objEntryNode
	End Property

	'Public atomAuthor
	'Public atomCategory
	'Public atomContributor
	'Public atomLink
	'Public atomTitle
	'Public atomUpdated
	'Public atomPublished
	'Public atomContent
	'Public atomSummary
	'Public atomId
	'Public atomRights

	Private objXMLdoc
	Private objEntryNode

	Private Function CommomAppendNode(strElement,strText,strType)

		Dim objSingleNode
		Dim objNodeText
		Dim objNodeCdata
		Set objSingleNode = objXMLdoc.createNode("element",strElement,"")

		If strType="" Then

			Set objNodeText=objXMLdoc.createNode("text", "", "")
			objNodeText.NodeValue=strText
			objSingleNode.AppendChild(objNodeText)

		ElseIf strType="text" Then

			objSingleNode.setAttribute "type",strType
			Set objNodeText=objXMLdoc.createNode("text", "", "")
			objNodeText.NodeValue=strText
			objSingleNode.AppendChild(objNodeText)

		ElseIf strType="html" Then

			objSingleNode.setAttribute "type",strType
			Set objNodeCdata=objXMLdoc.createNode("cdatasection", "", "")
			objNodeCdata.NodeValue=strText
			objSingleNode.AppendChild(objNodeCdata)

		ElseIf strType="xhtml" Then

			objSingleNode.setAttribute "type",strType
			Set objNodeText=objXMLdoc.createNode("text", "", "")
			objNodeText.NodeValue=strText
			objSingleNode.AppendChild(objNodeText)

		End If

		Set CommomAppendNode=objSingleNode

		Set objSingleNode = Nothing

	End Function


	Public Function atomContent(strContent,strType)

		objEntryNode.AppendChild(CommomAppendNode("content",strContent,strType))

	End Function


	Public Property Let atomSummary(strSummary)

		objEntryNode.AppendChild(CommomAppendNode("summary",strSummary,"html"))

	End Property


	Public Property Let atomRights(strRights)

		objEntryNode.AppendChild(CommomAppendNode("rights",strRights,""))

	End Property


	Public Property Let atomId(strID)

		objEntryNode.AppendChild(CommomAppendNode("id",strID,""))

	End Property


	Public Property Let atomUpdated(dtmUpdated)

		objEntryNode.AppendChild(CommomAppendNode("updated",dtmUpdated,""))

	End Property


	Public Property Let atomPublished(dtmPublished)

		objEntryNode.AppendChild(CommomAppendNode("published",dtmPublished,""))

	End Property


	Public Property Let atomTitle(strTitle)

		objEntryNode.AppendChild(CommomAppendNode("title",strTitle,"html"))

	End Property


	Public Function atomCategory(strTerm,strScheme,strLabel)

		Dim objSingleNode

		Set objSingleNode = objXMLdoc.createNode("element","category","")

		objSingleNode.setAttribute "term",strTerm
		objSingleNode.setAttribute "scheme",strScheme
		objSingleNode.setAttribute "label",strLabel

		objEntryNode.AppendChild(objSingleNode)
		Set objSingleNode = Nothing

	End Function


	Public Function atomPerson(strPerson,strName,strEmail,strUrl)

		Dim objSingleNode
		Dim objNodeText

		Dim objAuthorNameNode
		Dim objAuthorUrlNode
		Dim objAuthorEmailNode

		Set objSingleNode = objXMLdoc.createNode("element",strPerson,"")

		If strName<>"" Then
			Set objAuthorNameNode = objXMLdoc.createNode("element","name","")
			Set objNodeText=objXMLdoc.createNode("text", "", "")
			objNodeText.NodeValue=strName
			objAuthorNameNode.AppendChild(objNodeText)
			objSingleNode.AppendChild(objAuthorNameNode)
			Set objNodeText = Nothing
		End If

		If strUrl<>"" Then
			Set objAuthorUrlNode = objXMLdoc.createNode("element","uri","")
			Set objNodeText=objXMLdoc.createNode("text", "", "")
			objNodeText.NodeValue=strUrl
			objAuthorUrlNode.AppendChild(objNodeText)
			objSingleNode.AppendChild(objAuthorUrlNode)
			Set objNodeText = Nothing
		End If

		If strEmail<>"" Then
			Set objAuthorEmailNode = objXMLdoc.createNode("element","email","")
			Set objNodeText=objXMLdoc.createNode("text", "", "")
			objNodeText.NodeValue=strEmail
			objAuthorEmailNode.AppendChild(objNodeText)
			objSingleNode.AppendChild(objAuthorEmailNode)
			Set objNodeText = Nothing
		End If

		objEntryNode.AppendChild(objSingleNode)

		Set objSingleNode = Nothing

	End Function

	Public Function atomLink(strRel,strType,strHref)

		Dim objSingleNode
		Dim objNodeText

		Set objSingleNode = objXMLdoc.createNode("element","link","")

		objSingleNode.setAttribute "rel",strRel
		objSingleNode.setAttribute "type",strType
		objSingleNode.setAttribute "href",strHref

		objEntryNode.AppendChild(objSingleNode)
		Set objSingleNode = Nothing

	End Function


	Public Property Let atomTag(strTag)

		objEntryNode.AppendChild(CommomAppendNode("tag",strTag,""))

	End Property


	Public Function GetComment(objCommentFeed)

		objEntryNode.appendChild(objCommentFeed)

	End Function


	Private Sub Class_Initialize()

		Set objXMLdoc =Server.CreateObject("Microsoft.XMLDOM")
		Set objEntryNode = objXMLdoc.createElement("entry")

	End Sub


	Private Sub Class_Terminate()

		Set objXMLdoc = Nothing
		Set objEntryNode = Nothing

	End Sub


End Class
'*********************************************************




'*********************************************************
' 目的：    评论类
' 输入：    无
' 返回：    无
'*********************************************************
Class TAtomComment

	Public Property Get Node
		Set Node=objCommentNode
	End Property

	'Public atomAuthor
	'Public atomPublished
	'Public atomContent

	Private objXMLdoc
	Private objCommentNode

	Private Function CommomAppendNode(strElement,strText,strType)

		Dim objSingleNode
		Dim objNodeText
		Dim objNodeCdata
		Set objSingleNode = objXMLdoc.createNode("element",strElement,"")

		If strType="" Then

			Set objNodeText=objXMLdoc.createNode("text", "", "")
			objNodeText.NodeValue=strText
			objSingleNode.AppendChild(objNodeText)

		ElseIf strType="text" Then

			objSingleNode.setAttribute "type",strType
			Set objNodeText=objXMLdoc.createNode("text", "", "")
			objNodeText.NodeValue=strText
			objSingleNode.AppendChild(objNodeText)

		ElseIf strType="html" Then

			objSingleNode.setAttribute "type",strType
			Set objNodeCdata=objXMLdoc.createNode("cdatasection", "", "")
			objNodeCdata.NodeValue=strText
			objSingleNode.AppendChild(objNodeCdata)

		ElseIf strType="xhtml" Then

			objSingleNode.setAttribute "type",strType
			Set objNodeText=objXMLdoc.createNode("text", "", "")
			objNodeText.NodeValue=strText
			objSingleNode.AppendChild(objNodeText)

		End If

		Set CommomAppendNode=objSingleNode

		Set objSingleNode = Nothing

	End Function


	Public Property Let atomTitle(strTitle)

		objCommentNode.AppendChild(CommomAppendNode("title",strTitle,"html"))

	End Property


	Public Function atomContent(strContent,strType)

		objCommentNode.AppendChild(CommomAppendNode("content",strContent,strType))

	End Function


	Public Property Let atomPublished(dtmPublished)

		objCommentNode.AppendChild(CommomAppendNode("published",dtmPublished,""))

	End Property


	Public Function atomPerson(strPerson,strName,strEmail,strUrl)

		Dim objSingleNode
		Dim objNodeText

		Dim objAuthorNameNode
		Dim objAuthorUrlNode
		Dim objAuthorEmailNode

		Set objSingleNode = objXMLdoc.createNode("element",strPerson,"")

		If strName<>"" Then
			Set objAuthorNameNode = objXMLdoc.createNode("element","name","")
			Set objNodeText=objXMLdoc.createNode("text", "", "")
			objNodeText.NodeValue=strName
			objAuthorNameNode.AppendChild(objNodeText)
			objSingleNode.AppendChild(objAuthorNameNode)
			Set objNodeText = Nothing
		End If

		If strUrl<>"" Then
			Set objAuthorUrlNode = objXMLdoc.createNode("element","uri","")
			Set objNodeText=objXMLdoc.createNode("text", "", "")
			objNodeText.NodeValue=strUrl
			objAuthorUrlNode.AppendChild(objNodeText)
			objSingleNode.AppendChild(objAuthorUrlNode)
			Set objNodeText = Nothing
		End If

		If strEmail<>"" Then
			Set objAuthorEmailNode = objXMLdoc.createNode("element","email","")
			Set objNodeText=objXMLdoc.createNode("text", "", "")
			objNodeText.NodeValue=strEmail
			objAuthorEmailNode.AppendChild(objNodeText)
			objSingleNode.AppendChild(objAuthorEmailNode)
			Set objNodeText = Nothing
		End If

		objCommentNode.AppendChild(objSingleNode)

		Set objSingleNode = Nothing

	End Function


	Private Sub Class_Initialize()

		Set objXMLdoc =Server.CreateObject("Microsoft.XMLDOM")
		Set objCommentNode = objXMLdoc.createElement("comment")

	End Sub


	Private Sub Class_Terminate()

		Set objXMLdoc = Nothing
		Set objCommentNode = Nothing

	End Sub


End Class
'*********************************************************




'*********************************************************
' 目的：    评论类
' 输入：    无
' 返回：    无
'*********************************************************
Class TAtomTrackBack

	Public Property Get Node
		Set Node=objTrackBackNode
	End Property

	'Public atomAuthor
	'Public atomPublished
	'Public atomContent

	Private objXMLdoc
	Private objTrackBackNode

	Private Function CommomAppendNode(strElement,strText,strType)

		Dim objSingleNode
		Dim objNodeText
		Dim objNodeCdata
		Set objSingleNode = objXMLdoc.createNode("element",strElement,"")

		If strType="" Then

			Set objNodeText=objXMLdoc.createNode("text", "", "")
			objNodeText.NodeValue=strText
			objSingleNode.AppendChild(objNodeText)

		ElseIf strType="text" Then

			objSingleNode.setAttribute "type",strType
			Set objNodeText=objXMLdoc.createNode("text", "", "")
			objNodeText.NodeValue=strText
			objSingleNode.AppendChild(objNodeText)

		ElseIf strType="html" Then

			objSingleNode.setAttribute "type",strType
			Set objNodeCdata=objXMLdoc.createNode("cdatasection", "", "")
			objNodeCdata.NodeValue=strText
			objSingleNode.AppendChild(objNodeCdata)

		ElseIf strType="xhtml" Then

			objSingleNode.setAttribute "type",strType
			Set objNodeText=objXMLdoc.createNode("text", "", "")
			objNodeText.NodeValue=strText
			objSingleNode.AppendChild(objNodeText)

		End If

		Set CommomAppendNode=objSingleNode

		Set objSingleNode = Nothing

	End Function


	Public Property Let atomTitle(strTitle)

		objTrackBackNode.AppendChild(CommomAppendNode("title",strTitle,"html"))

	End Property


	Public Function atomContent(strContent,strType)

		objTrackBackNode.AppendChild(CommomAppendNode("content",strContent,strType))

	End Function


	Public Property Let atomPublished(dtmPublished)

		objTrackBackNode.AppendChild(CommomAppendNode("published",dtmPublished,""))

	End Property


	Public Function atomLink(strRel,strType,strHref)

		Dim objSingleNode
		Dim objNodeText

		Set objSingleNode = objXMLdoc.createNode("element","link","")

		objSingleNode.setAttribute "rel",strRel
		objSingleNode.setAttribute "type",strType
		objSingleNode.setAttribute "href",strHref

		objTrackBackNode.AppendChild(objSingleNode)
		Set objSingleNode = Nothing

	End Function


	Private Sub Class_Initialize()

		Set objXMLdoc =Server.CreateObject("Microsoft.XMLDOM")
		Set objTrackBackNode = objXMLdoc.createElement("trackback")

	End Sub


	Private Sub Class_Terminate()

		Set objXMLdoc = Nothing
		Set objTrackBackNode = Nothing

	End Sub


End Class
'*********************************************************

'///////////////////////////////////////////////////////////////////////////////
'//              RainbowSoft RSS Export
'// 作    者:    朱煊(zx.asd)
'// 版权所有:    RainbowSoft Studio
'// 技术支持:    rainbowsoft@163.com
'// 程序名称:    
'// 程序版本:    
'// 单元名称:    rss_lib.asp
'// 开始时间:    2004.07.03
'// 最后修改:    
'// 备    注:    RSS输出
'///////////////////////////////////////////////////////////////////////////////




'*********************************************************
' 目的：    定义TRss2Export类
' 输入：    无
' 返回：    无
'*********************************************************
Class TRss2Export

	Public TimeZone

	Public Property Get xml
		xml = objXMLdoc.xml
	End Property

	public FstrWebLink
	public FstrAuthor

	Public Property Get WebLink
		WebLink = FstrWebLink
	End Property

	Public Property Let WebLink(strWebLink)
		FstrWebLink = strWebLink
	End Property

	Public Property Get Author
		Author = FstrAuthor
	End Property

	Public Property Let Author(strAuthor)
		FstrAuthor = strAuthor
	End Property

	Private objXMLdoc

	Private objXMLrss

	Private objXMLchannel


	Public Function AddChannelAttribute(title,value)

		Dim objXMLitem
		Set objXMLitem = objXMLdoc.createElement(title)

		If title="pubDate" Then value=ParseDateForRFC822(value)

		objXMLitem.text=value
		objXMLchannel.AppendChild(objXMLitem)

		AddChannelAttribute=True

	End Function


	Public Function AddItem(title,author,link,pubDate,guid,description,category,comments,wfw_comment,wfw_commentRss,trackback_ping)

		Dim objXMLitem
		Set objXMLitem = objXMLdoc.createElement("item")
		Dim objXMLcdata

		If(Len(title)>0) Then
			objXMLitem.AppendChild(objXMLdoc.createElement("title"))
			objXMLitem.selectSingleNode("title").text=title
		End If
		If(Len(author)>0) Then
			objXMLitem.AppendChild(objXMLdoc.createElement("author"))
			objXMLitem.selectSingleNode("author").text=author
		End If
		If(Len(link)>0) Then
			objXMLitem.AppendChild(objXMLdoc.createElement("link"))
			objXMLitem.selectSingleNode("link").text=link
		End If
		If(Len(pubDate)>0) Then
			objXMLitem.AppendChild(objXMLdoc.createElement("pubDate"))
			objXMLitem.selectSingleNode("pubDate").text=ParseDateForRFC822(pubDate)
		End If
		If(Len(guid)>0) Then
			objXMLitem.AppendChild(objXMLdoc.createElement("guid"))
			objXMLitem.selectSingleNode("guid").text=guid
		End If
		If(Len(description)>0) Then

			objXMLitem.AppendChild(objXMLdoc.createElement("description"))
			Set objXMLcdata = objXMLdoc.createNode("cdatasection", "","")
			objXMLcdata.NodeValue=description
			objXMLitem.selectSingleNode("description").AppendChild(objXMLcdata)

			Set objXMLcdata = Nothing

		End If
		If(Len(category)>0) Then
			objXMLitem.AppendChild(objXMLdoc.createElement("category"))
			objXMLitem.selectSingleNode("category").text=category
		End If

		If(Len(comments)>0) Then
			objXMLitem.AppendChild(objXMLdoc.createElement("comments"))
			objXMLitem.selectSingleNode("comments").text=comments
		End If
		If(Len(wfw_comment)>0) Then
			objXMLitem.AppendChild(objXMLdoc.createElement("wfw:comment"))
			objXMLitem.selectSingleNode("wfw:comment").text=wfw_comment
		End If
		If(Len(wfw_commentRss)>0) Then
			objXMLitem.AppendChild(objXMLdoc.createElement("wfw:commentRss"))
			objXMLitem.selectSingleNode("wfw:commentRss").text=wfw_commentRss
		End If
		If(Len(trackback_ping)>0) Then
			objXMLitem.AppendChild(objXMLdoc.createElement("trackback:ping"))
			objXMLitem.selectSingleNode("trackback:ping").text=trackback_ping
		End If

		objXMLchannel.AppendChild(objXMLitem)

		AddItem=True

	End Function

	Public Function Execute()

		'Response.ContentType = "text/html"
		Response.ContentType = "text/xml"
		Response.Clear
		Response.Write xml

		Execute=True

	End Function

	Public Function SaveToFile(strFileName)

		objXMLdoc.save(strFileName)

		SaveToFile=True

	End Function


	Function ParseDateForRFC822(dtmDate)

		Dim dtmDay, dtmWeekDay, dtmMonth, dtmYear
		Dim dtmHours, dtmMinutes, dtmSeconds

		Select Case WeekDay(dtmDate)
			Case 1:dtmWeekDay="Sun"
			Case 2:dtmWeekDay="Mon"
			Case 3:dtmWeekDay="Tue"
			Case 4:dtmWeekDay="Wed"
			Case 5:dtmWeekDay="Thu"
			Case 6:dtmWeekDay="Fri"
			Case 7:dtmWeekDay="Sat"
		End Select

		Select Case Month(dtmDate)
			Case 1:dtmMonth="Jan"
			Case 2:dtmMonth="Feb"
			Case 3:dtmMonth="Mar"
			Case 4:dtmMonth="Apr"
			Case 5:dtmMonth="May"
			Case 6:dtmMonth="Jun"
			Case 7:dtmMonth="Jul"
			Case 8:dtmMonth="Aug"
			Case 9:dtmMonth="Sep"
			Case 10:dtmMonth="Oct"
			Case 11:dtmMonth="Nov"
			Case 12:dtmMonth="Dec"
		End Select

		dtmYear = Year(dtmDate)
		dtmDay = Right("00" & Day(dtmDate),2)

		dtmHours = Right("00" & Hour(dtmDate),2)
		dtmMinutes = Right("00" & Minute(dtmDate),2)
		dtmSeconds = Right("00" & Second(dtmDate),2)

		ParseDateForRFC822 = dtmWeekDay & ", " & dtmDay &" " & dtmMonth & " " & dtmYear & " " & dtmHours & ":" & dtmMinutes & ":" & dtmSeconds & " " & TimeZone

	End Function 

	' 类初始化
	Private Sub Class_Initialize()

		On Error Resume Next

		'对objXMLdoc进行初始化，如不能建对象则报错
		Set objXMLdoc =Server.CreateObject("Microsoft.XMLDOM")

		If Err.Number<>0 Then

		End If

		Dim objPI

		Set objPI = objXMLdoc.createProcessingInstruction("xml-stylesheet","type=""text/css"" href=""css/rss.css""")
		objXMLdoc.insertBefore objPI, objXMLdoc.childNodes(0)
		Set objPI = Nothing

		Set objPI = objXMLdoc.createProcessingInstruction("xml","version=""1.0"" encoding=""UTF-8"" standalone=""yes""")
		objXMLdoc.insertBefore objPI, objXMLdoc.childNodes(0)
		Set objPI = Nothing

		Set objXMLrss = objXMLdoc.createElement("rss")

		Set objXMLchannel = objXMLdoc.createElement("channel")


		objXMLrss.AppendChild(objXMLchannel)
		objXMLdoc.AppendChild(objXMLrss)

		objXMLrss.setAttribute "version","2.0"
		objXMLrss.setAttribute "xmlns:dc","http://purl.org/dc/elements/1.1/"
		objXMLrss.setAttribute "xmlns:trackback","http://madskills.com/public/xml/rss/module/trackback/"
		objXMLrss.setAttribute "xmlns:wfw","http://wellformedweb.org/CommentAPI/"
		objXMLrss.setAttribute "xmlns:slash","http://purl.org/rss/1.0/modules/slash/"


	End Sub

	' 类释放
	Private Sub Class_Terminate()

		Set objXMLrss = Nothing
		Set objXMLdoc  = Nothing

	End Sub

End Class
'*********************************************************

'///////////////////////////////////////////////////////////////////////////////
'//              RainbowSoft SiteMap Export
'// 作    者:    sipo
'// 版权所有:    RainbowSoft Studio
'// 技术支持:    rainbowsoft@163.com
'// 程序名称:    
'// 程序版本:    
'// 单元名称:    SiteMap_lib.asp
'// 开始时间:    2006-4-11
'// 最后修改:    
'// 备    注:    SiteMap输出
'///////////////////////////////////////////////////////////////////////////////




'*********************************************************
' 目的：    TSiteMap
' 输入：    无
' 返回：    无
'*********************************************************
Class TSiteMap

	Public TimeZone

	Public Property Get xml
		xml = objXMLdoc.xml
	End Property

	Private objXMLdoc

	Private objXMLrss

	Public Function AddItem(loc,lastmod,changefreq,priority)

		Dim objXMLitem
		Set objXMLitem = objXMLdoc.createElement("url")

		If(Len(loc)>0) Then
			objXMLitem.AppendChild(objXMLdoc.createElement("loc"))
			objXMLitem.selectSingleNode("loc").text=loc
		End If
		If(Len(lastmod)>0) Then
			objXMLitem.AppendChild(objXMLdoc.createElement("lastmod"))
			objXMLitem.selectSingleNode("lastmod").text=ParseDateForISO8601(lastmod)
		End If
		If(Len(changefreq)>0) Then
			objXMLitem.AppendChild(objXMLdoc.createElement("changefreq"))
			objXMLitem.selectSingleNode("changefreq").text=changefreq
		End If
		If(Len(priority)>0) Then
			objXMLitem.AppendChild(objXMLdoc.createElement("priority"))
			objXMLitem.selectSingleNode("priority").text=priority
		End If

		objXMLrss.AppendChild(objXMLitem)

		AddItem=True

	End Function

	Public Function Execute()

		'Response.ContentType = "text/html"
		Response.ContentType = "text/xml"
		Response.Clear
		Response.Write xml

		Execute=True

	End Function

	Public Function SaveToFile(strFileName)

		objXMLdoc.save(strFileName)

		SaveToFile=True

	End Function


	Function ParseDateForISO8601(dtmDate)

		Dim dtmDay, dtmWeekDay, dtmMonth, dtmYear
		Dim dtmHours, dtmMinutes, dtmSeconds

		Dim strTimeZone

		dtmYear = Year(dtmDate)
		dtmMonth = Right("00" & Month(dtmDate),2)
		dtmDay = Right("00" & Day(dtmDate),2)

		dtmHours = Right("00" & Hour(dtmDate),2)
		dtmMinutes = Right("00" & Minute(dtmDate),2)
		dtmSeconds = Right("00" & Second(dtmDate),2)

		strTimeZone=Left(TimeZone,3) & ":" & Right(TimeZone,2)

		ParseDateForISO8601 = dtmYear & "-" & dtmMonth & "-" & dtmDay & "T" & dtmHours & ":" & dtmMinutes & ":" & dtmSeconds & strTimeZone

	End Function 

	' 类初始化
	Private Sub Class_Initialize()

		On Error Resume Next

		'对objXMLdoc进行初始化，如不能建对象则报错
		Set objXMLdoc =Server.CreateObject("Microsoft.XMLDOM")

		If Err.Number<>0 Then

		End If

		Dim objPI

		'Set objPI = objXMLdoc.createProcessingInstruction("xml-stylesheet","type=""text/css"" href=""css/rss.css""")
		'objXMLdoc.insertBefore objPI, objXMLdoc.childNodes(0)
		'Set objPI = Nothing

		Set objPI = objXMLdoc.createProcessingInstruction("xml","version=""1.0"" encoding=""UTF-8"" standalone=""yes""")
		objXMLdoc.insertBefore objPI, objXMLdoc.childNodes(0)
		Set objPI = Nothing

		Set objXMLrss = objXMLdoc.createElement("urlset")

		'Set objXMLchannel = objXMLdoc.createElement("channel")


		'objXMLrss.AppendChild(objXMLchannel)
		objXMLdoc.AppendChild(objXMLrss)

		objXMLrss.setAttribute "xmlns","http://www.google.com/schemas/sitemap/0.84"
		objXMLrss.setAttribute "xmlns:xsi","http://www.w3.org/2001/XMLSchema-instance"
		objXMLrss.setAttribute "xsi:schemaLocation","http://www.google.com/schemas/sitemap/0.84 http://www.google.com/schemas/sitemap/0.84/sitemap.xsd"

	End Sub

	' 类释放
	Private Sub Class_Terminate()

		Set objXMLrss = Nothing
		Set objXMLdoc  = Nothing

	End Sub

End Class
'*********************************************************



%>

